From 66892674a0389d367a673c472f0016ee034e89eb Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Wed, 9 Oct 2024 18:35:37 +0700
Subject: [PATCH 04/10] mm-port-serial.c: fix build when non-POSIX constants
 are undefined

---
 src/mm-port-serial.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/src/mm-port-serial.c b/src/mm-port-serial.c
index 5053e8cc..1f4c98fe 100644
--- a/src/mm-port-serial.c
+++ b/src/mm-port-serial.c
@@ -37,6 +37,18 @@
 #include "mm-log-object.h"
 #include "mm-helper-enums-types.h"
 
+#ifndef CBAUD
+#define CBAUD 0
+#endif
+
+#ifndef IUCLC
+#define IUCLC 0
+#endif
+
+#ifndef OLCUC
+#define OLCUC 0
+#endif
+
 static gboolean port_serial_queue_process          (gpointer data);
 static void     port_serial_schedule_queue_process (MMPortSerial *self,
                                                     guint timeout_ms);
-- 
2.46.1

